Page MenuHomePhabricator

Build graph/dashboard for AbuseFilter profiling data
Closed, ResolvedPublic2 Estimate Story Points

Description

Now that we are recording profiling data for AbuseFilter, we should build some kind of visualization for that data.

To do:

  • Split into two graphs:
    • Runtime (add milliseconds as axis label)
    • Filters/Conditions
  • Replicate these two graphs for all wikis with this performance measurement
  • Rename the dashboard to AbuseFilter profiling

Event Timeline

kaldari created this task.Aug 25 2017, 8:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2017, 8:36 PM
kaldari added a subscriber: MaxSem.Aug 25 2017, 8:36 PM

@MaxSem would be a good person to help with this.

He7d3r added a subscriber: He7d3r.Aug 30 2017, 5:19 PM
MaxSem added a comment.Sep 7 2017, 1:25 AM

Mean time is meaningless, I'd rather see p75, p90 and p99. I've made some changes, please check out.

dmaza added a comment.Sep 7 2017, 3:04 PM

Looks good to me. I have no experience with Grafana but I think that's about all we can get from these data. Maybe adding a line for conditions.lower?

Split into two graphs:

  1. Runtime (add milliseconds as axis label)
  2. Filters/Conditions

Replicate these two graphs for all wikis with this performance measurement

Rename the dashboard to AbuseFilter profiling

TBolliger updated the task description. (Show Details)Sep 8 2017, 7:18 PM
TBolliger set the point value for this task to 2.
dmaza claimed this task.Sep 14 2017, 3:14 PM
dmaza moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 5) board.
dmaza added a comment.Sep 14 2017, 4:51 PM

Here it is, https://grafana.wikimedia.org/dashboard/db/mediawiki-abusefilter-profiling?orgId=1
We can probably remove Test Wiki and MediaWiki since it doesn't provide any useful information and add instead other high traffic wikis.

Looks great! A lot easier to read. I think we can leave test and MediaWiki — there's really no harm and they're at the bottom of the page so they're not in the way.

Does this need code review, or just visual review?

dmaza added a comment.Sep 14 2017, 5:54 PM

@TBolliger just visual review

TBolliger closed this task as Resolved.Sep 14 2017, 5:55 PM
TBolliger moved this task from Code Review to Done on the Anti-Harassment (AHT Sprint 5) board.